> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke loyalty wallet pass

> Invalidate a loyalty wallet pass. Apple Wallet marks it as voided and Google Wallet as inactive.



## OpenAPI

````yaml POST /loyalty-wallet-passes/{id}/revoke
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /loyalty-wallet-passes/{id}/revoke:
    post:
      tags:
        - Loyalty wallet passes
      description: >-
        Invalidate a loyalty wallet pass. Apple Wallet marks it as voided and
        Google Wallet as inactive.
      operationId: revokeLoyaltyWalletPass
      parameters:
        - name: id
          in: path
          required: true
          description: The loyalty wallet pass id
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Pass revoked
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - pass_id
                      - status
                    properties:
                      pass_id:
                        type: string
                        format: uuid
                      status:
                        type: string
                        enum:
                          - REVOKED
        '404':
          description: Loyalty wallet pass not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.